<?xml version="1.0" encoding="utf-8"?>
<!--XBRL document created with Toppan Merrill Bridge  11.0.0.3 -->
<!--Based on XBRL 2.1-->
<!--Created on: 9/4/2025 7:16:31 PM-->
<!--Modified on: 9/4/2025 7:16:31 PM-->
<xsd:schema xmlns:sic="http://xbrl.sec.gov/sic/2024" xmlns:xl="http://www.xbrl.org/2003/XLink" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:naics="http://xbrl.sec.gov/naics/2024" xmlns:xbrli="http://www.xbrl.org/2003/instance" xmlns:xbrldt="http://xbrl.org/2005/xbrldt" xmlns:stpr="http://xbrl.sec.gov/stpr/2024" xmlns:currency="http://xbrl.sec.gov/currency/2024" xmlns:srt="http://fasb.org/srt/2024" xmlns:us-gaap="http://fasb.org/us-gaap/2024" xmlns:exch="http://xbrl.sec.gov/exch/2024" xmlns:country="http://xbrl.sec.gov/country/2024" xmlns:link="http://www.xbrl.org/2003/linkbase" xmlns:us-types="http://fasb.org/us-types/2024" targetNamespace="http://www.hurco.com/20250731" elementFormDefault="qualified" xmlns:srt-types="http://fasb.org/srt-types/2024" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:dtr-types="http://www.xbrl.org/dtr/type/2022-03-31" xmlns:hurc="http://www.hurco.com/20250731" xmlns:enum2="http://xbrl.org/2020/extensible-enumerations-2.0" xmlns:deprecated="http://www.xbrl.org/2009/role/deprecated" xmlns:us-roles="http://fasb.org/us-roles/2024" xmlns:ref="http://www.xbrl.org/2006/ref" xmlns:srt-roles="http://fasb.org/srt-roles/2024" xmlns:utr="http://www.xbrl.org/2009/utr" xmlns:net="http://www.xbrl.org/2009/role/net" xmlns:dei="http://xbrl.sec.gov/dei/2024" xmlns:negated="http://www.xbrl.org/2009/role/negated" xmlns:attributeFormDefault="unqualified" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:dtr="http://www.xbrl.org/2009/dtr" xmlns:xbrldi="http://xbrl.org/2006/xbrldi" xmlns:us-gaap-ebp="http://fasb.org/us-gaap-ebp/2024" xmlns:cyd-af-sub="http://xbrl.sec.gov/cyd-af-sub/2024" xmlns:ecd="http://xbrl.sec.gov/ecd/2024" xmlns:ecd-sub="http://xbrl.sec.gov/ecd-sub/2024">
  <xsd:annotation>
    <xsd:appinfo>
      <link:roleType roleURI="http://www.hurco.com/role/DisclosureStandardAndCustomAxisDomainDefaults" id="DisclosureStandardAndCustomAxisDomainDefaults">
        <link:definition>99900 - Disclosure - Standard And Custom Axis Domain Defaults</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.hurco.com/role/StatementCondensedConsolidatedStatementsOfOperations" id="StatementCondensedConsolidatedStatementsOfOperations">
        <link:definition>995200100 - Statement - CONDENSED CONSOLIDATED STATEMENTS OF OPERATIONS</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.hurco.com/role/StatementCondensedConsolidatedStatementsOfComprehensiveIncomeLoss" id="StatementCondensedConsolidatedStatementsOfComprehensiveIncomeLoss">
        <link:definition>995200200 - Statement - CONDENSED CONSOLIDATED STATEMENTS OF COMPREHENSIVE INCOME (LOSS)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.hurco.com/role/StatementCondensedConsolidatedBalanceSheets" id="StatementCondensedConsolidatedBalanceSheets">
        <link:definition>995200300 - Statement - CONDENSED CONSOLIDATED BALANCE SHEETS</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.hurco.com/role/StatementCondensedConsolidatedStatementsOfCashFlows" id="StatementCondensedConsolidatedStatementsOfCashFlows">
        <link:definition>995200400 - Statement - CONDENSED CONSOLIDATED STATEMENTS OF CASH FLOWS</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.hurco.com/role/DisclosureEarningsLossPerShareDetails" id="DisclosureEarningsLossPerShareDetails">
        <link:definition>99940501 - Disclosure - EARNINGS (LOSS) PER SHARE (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.hurco.com/role/DisclosureInventoriesDetails" id="DisclosureInventoriesDetails">
        <link:definition>99940701 - Disclosure - INVENTORIES (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.hurco.com/role/DisclosureLeasesMaturitiesOfUndiscountedCashFlowsOfLeaseCommitmentsDetails" id="DisclosureLeasesMaturitiesOfUndiscountedCashFlowsOfLeaseCommitmentsDetails">
        <link:definition>99940803 - Disclosure - LEASES - Maturities of undiscounted cash flows of lease commitments (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.hurco.com/role/DisclosureLeasesMaturitiesOfUndiscountedCashFlowsOfLeaseCommitmentsDetailsCalc2" id="DisclosureLeasesMaturitiesOfUndiscountedCashFlowsOfLeaseCommitmentsDetailsCalc2">
        <link:definition>40804 - Disclosure - LEASES - Maturities of undiscounted cash flows of lease commitments (Details) Calc2</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.hurco.com/role/DocumentDocumentAndEntityInformation" id="DocumentDocumentAndEntityInformation">
        <link:definition>995200090 - Document - Document And Entity Information</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.hurco.com/role/StatementCondensedConsolidatedStatementsOfComprehensiveIncomeLossParenthetical" id="StatementCondensedConsolidatedStatementsOfComprehensiveIncomeLossParenthetical">
        <link:definition>995200205 - Statement - CONDENSED CONSOLIDATED STATEMENTS OF COMPREHENSIVE INCOME (LOSS) (Parenthetical)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.hurco.com/role/StatementCondensedConsolidatedBalanceSheetsParenthetical" id="StatementCondensedConsolidatedBalanceSheetsParenthetical">
        <link:definition>995200305 - Statement - CONDENSED CONSOLIDATED BALANCE SHEETS (Parenthetical)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.hurco.com/role/StatementCondensedConsolidatedStatementsOfChangesInShareholdersEquity" id="StatementCondensedConsolidatedStatementsOfChangesInShareholdersEquity">
        <link:definition>995200500 - Statement - CONDENSED CONSOLIDATED STATEMENTS OF CHANGES IN SHAREHOLDERS' EQUITY</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.hurco.com/role/DisclosureDerivativeInstrumentsAndHedgingActivitiesTables" id="DisclosureDerivativeInstrumentsAndHedgingActivitiesTables">
        <link:definition>99930303 - Disclosure - DERIVATIVE INSTRUMENTS AND HEDGING ACTIVITIES (Tables)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.hurco.com/role/DisclosureDerivativeInstrumentsAndHedgingActivitiesAdditionalInformationDetails" id="DisclosureDerivativeInstrumentsAndHedgingActivitiesAdditionalInformationDetails">
        <link:definition>99940301 - Disclosure - DERIVATIVE INSTRUMENTS AND HEDGING ACTIVITIES - Additional Information (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.hurco.com/role/DisclosureDerivativeInstrumentsAndHedgingActivitiesFairValueOfDerivativeInstrumentsDetails" id="DisclosureDerivativeInstrumentsAndHedgingActivitiesFairValueOfDerivativeInstrumentsDetails">
        <link:definition>99940302 - Disclosure - DERIVATIVE INSTRUMENTS AND HEDGING ACTIVITIES - Fair value of derivative instruments (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.hurco.com/role/DisclosureDerivativeInstrumentsAndHedgingActivitiesEffectOfDerivativeInstrumentsDetails" id="DisclosureDerivativeInstrumentsAndHedgingActivitiesEffectOfDerivativeInstrumentsDetails">
        <link:definition>99940303 - Disclosure - DERIVATIVE INSTRUMENTS AND HEDGING ACTIVITIES - Effect of derivative instruments (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.hurco.com/role/DisclosureDerivativeInstrumentsAndHedgingActivitiesChangesInComponentsOfAccumulatedOtherComprehensiveLossDetails" id="DisclosureDerivativeInstrumentsAndHedgingActivitiesChangesInComponentsOfAccumulatedOtherComprehensiveLossDetails">
        <link:definition>99940304 - Disclosure - DERIVATIVE INSTRUMENTS AND HEDGING ACTIVITIES - Changes in components of accumulated other comprehensive loss (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.hurco.com/role/DisclosureEquityIncentivePlanAdditionalInformationDetails" id="DisclosureEquityIncentivePlanAdditionalInformationDetails">
        <link:definition>99940401 - Disclosure - EQUITY INCENTIVE PLAN - Additional Information (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.hurco.com/role/DisclosureEquityIncentivePlanReconciliationOfRestrictedStockActivityDetails" id="DisclosureEquityIncentivePlanReconciliationOfRestrictedStockActivityDetails">
        <link:definition>99940402 - Disclosure - EQUITY INCENTIVE PLAN - Reconciliation of restricted stock activity (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.hurco.com/role/DisclosureAccountsReceivableDetails" id="DisclosureAccountsReceivableDetails">
        <link:definition>99940601 - Disclosure - ACCOUNTS RECEIVABLE (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.hurco.com/role/DisclosureLeasesDetails" id="DisclosureLeasesDetails">
        <link:definition>99940801 - Disclosure - LEASES (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.hurco.com/role/DisclosureSegmentInformationScheduleOfNetSalesAndServiceFeesByProductCategoryDetails" id="DisclosureSegmentInformationScheduleOfNetSalesAndServiceFeesByProductCategoryDetails">
        <link:definition>99940901 - Disclosure - SEGMENT INFORMATION (Schedule of Net Sales and Service Fees by Product Category) (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.hurco.com/role/DisclosureSegmentInformationNarrativeDetails" id="DisclosureSegmentInformationNarrativeDetails">
        <link:definition>99940902 - Disclosure - SEGMENT INFORMATION (Narrative) (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.hurco.com/role/DisclosureGuaranteesAndProductWarrantiesAdditionalInformationDetails" id="DisclosureGuaranteesAndProductWarrantiesAdditionalInformationDetails">
        <link:definition>99941001 - Disclosure - GUARANTEES AND PRODUCT WARRANTIES - Additional Information (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.hurco.com/role/DisclosureGuaranteesAndProductWarrantiesReconciliationOfChangesInOurWarrantyEstimatedLiabilityDetails" id="DisclosureGuaranteesAndProductWarrantiesReconciliationOfChangesInOurWarrantyEstimatedLiabilityDetails">
        <link:definition>99941002 - Disclosure - GUARANTEES AND PRODUCT WARRANTIES - Reconciliation of the changes in our warranty estimated liability (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.hurco.com/role/DisclosureDebtAgreementsDetails" id="DisclosureDebtAgreementsDetails">
        <link:definition>99941101 - Disclosure - DEBT AGREEMENTS (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.hurco.com/role/DisclosureIncomeTaxesDetails" id="DisclosureIncomeTaxesDetails">
        <link:definition>99941201 - Disclosure - INCOME TAXES (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.hurco.com/role/DisclosureFinancialInstrumentsFairValueHierarchyDetails" id="DisclosureFinancialInstrumentsFairValueHierarchyDetails">
        <link:definition>99941301 - Disclosure - FINANCIAL INSTRUMENTS - Fair value hierarchy (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.hurco.com/role/DisclosureFinancialInstrumentsAdditionalInformationDetails" id="DisclosureFinancialInstrumentsAdditionalInformationDetails">
        <link:definition>99941302 - Disclosure - FINANCIAL INSTRUMENTS - Additional Information (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.hurco.com/role/DisclosureGeneral" id="DisclosureGeneral">
        <link:definition>995210101 - Disclosure - GENERAL</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.hurco.com/role/DisclosureRevenueRecognition" id="DisclosureRevenueRecognition">
        <link:definition>995210201 - Disclosure - REVENUE RECOGNITION</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.hurco.com/role/DisclosureDerivativeInstrumentsAndHedgingActivities" id="DisclosureDerivativeInstrumentsAndHedgingActivities">
        <link:definition>995210301 - Disclosure - DERIVATIVE INSTRUMENTS AND HEDGING ACTIVITIES</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.hurco.com/role/DisclosureEquityIncentivePlan" id="DisclosureEquityIncentivePlan">
        <link:definition>995210401 - Disclosure - EQUITY INCENTIVE PLAN</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.hurco.com/role/DisclosureEarningsLossPerShare" id="DisclosureEarningsLossPerShare">
        <link:definition>995210501 - Disclosure - EARNINGS (LOSS) PER SHARE</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.hurco.com/role/DisclosureAccountsReceivable" id="DisclosureAccountsReceivable">
        <link:definition>995210601 - Disclosure - ACCOUNTS RECEIVABLE</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.hurco.com/role/DisclosureInventories" id="DisclosureInventories">
        <link:definition>995210701 - Disclosure - INVENTORIES</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.hurco.com/role/DisclosureLeases" id="DisclosureLeases">
        <link:definition>995210801 - Disclosure - LEASES</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.hurco.com/role/DisclosureSegmentInformation" id="DisclosureSegmentInformation">
        <link:definition>995210901 - Disclosure - SEGMENT INFORMATION</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.hurco.com/role/DisclosureGuaranteesAndProductWarranties" id="DisclosureGuaranteesAndProductWarranties">
        <link:definition>995211001 - Disclosure - GUARANTEES AND PRODUCT WARRANTIES</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.hurco.com/role/DisclosureDebtAgreements" id="DisclosureDebtAgreements">
        <link:definition>995211101 - Disclosure - DEBT AGREEMENTS</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.hurco.com/role/DisclosureIncomeTaxes" id="DisclosureIncomeTaxes">
        <link:definition>995211201 - Disclosure - INCOME TAXES</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.hurco.com/role/DisclosureFinancialInstruments" id="DisclosureFinancialInstruments">
        <link:definition>995211301 - Disclosure - FINANCIAL INSTRUMENTS</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.hurco.com/role/DisclosureContingenciesAndLitigation" id="DisclosureContingenciesAndLitigation">
        <link:definition>995211401 - Disclosure - CONTINGENCIES AND LITIGATION</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.hurco.com/role/DisclosureNewAccountingPronouncements" id="DisclosureNewAccountingPronouncements">
        <link:definition>995211501 - Disclosure - NEW ACCOUNTING PRONOUNCEMENTS</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.hurco.com/role/DisclosureEquityIncentivePlanTables" id="DisclosureEquityIncentivePlanTables">
        <link:definition>99930403 - Disclosure - EQUITY INCENTIVE PLAN (Tables)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.hurco.com/role/DisclosureEarningsLossPerShareTables" id="DisclosureEarningsLossPerShareTables">
        <link:definition>99930503 - Disclosure - EARNINGS (LOSS) PER SHARE (Tables)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.hurco.com/role/DisclosureInventoriesTables" id="DisclosureInventoriesTables">
        <link:definition>99930703 - Disclosure - INVENTORIES (Tables)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.hurco.com/role/DisclosureLeasesTables" id="DisclosureLeasesTables">
        <link:definition>99930803 - Disclosure - LEASES (Tables)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.hurco.com/role/DisclosureSegmentInformationTables" id="DisclosureSegmentInformationTables">
        <link:definition>99930903 - Disclosure - SEGMENT INFORMATION (Tables)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.hurco.com/role/DisclosureGuaranteesAndProductWarrantiesTables" id="DisclosureGuaranteesAndProductWarrantiesTables">
        <link:definition>99931003 - Disclosure - GUARANTEES AND PRODUCT WARRANTIES (Tables)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.hurco.com/role/DisclosureFinancialInstrumentsTables" id="DisclosureFinancialInstrumentsTables">
        <link:definition>99931303 - Disclosure - FINANCIAL INSTRUMENTS (Tables)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.hurco.com/role/DisclosureLeasesSupplementalCashFlowInformationDetails" id="DisclosureLeasesSupplementalCashFlowInformationDetails">
        <link:definition>99940802 - Disclosure - LEASES - Supplemental cash flow information (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:linkbaseRef xlink:type="simple" xlink:href="hurc-20250731_pre.xml" xlink:role="http://www.xbrl.org/2003/role/presentationLinkbaseRef" xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase" />
      <link:linkbaseRef xlink:type="simple" xlink:href="hurc-20250731_def.xml" xlink:role="http://www.xbrl.org/2003/role/definitionLinkbaseRef" xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase" />
      <link:linkbaseRef xlink:type="simple" xlink:href="hurc-20250731_lab.xml" xlink:role="http://www.xbrl.org/2003/role/labelLinkbaseRef" xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase" />
      <link:linkbaseRef xlink:type="simple" xlink:href="hurc-20250731_cal.xml" xlink:role="http://www.xbrl.org/2003/role/calculationLinkbaseRef" xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase" />
    </xsd:appinfo>
  </xsd:annotation>
  <xsd:import namespace="https://xbrl.org/2023/calculation-1.1" schemaLocation="https://www.xbrl.org/2023/calculation-1.1.xsd" />
  <xsd:import namespace="http://xbrl.sec.gov/ecd/2024" schemaLocation="https://xbrl.sec.gov/ecd/2024/ecd-2024.xsd" />
  <xsd:import namespace="http://xbrl.sec.gov/dei/2024" schemaLocation="https://xbrl.sec.gov/dei/2024/dei-2024.xsd" />
  <xsd:import namespace="http://www.xbrl.org/2003/instance" schemaLocation="http://www.xbrl.org/2003/xbrl-instance-2003-12-31.xsd" />
  <xsd:import namespace="http://xbrl.org/2005/xbrldt" schemaLocation="http://www.xbrl.org/2005/xbrldt-2005.xsd" />
  <xsd:import namespace="http://www.xbrl.org/2009/role/negated" schemaLocation="http://www.xbrl.org/lrr/role/negated-2009-12-16.xsd" />
  <xsd:import namespace="http://www.xbrl.org/dtr/type/2022-03-31" schemaLocation="https://www.xbrl.org/dtr/type/2022-03-31/types.xsd" />
  <xsd:import namespace="http://fasb.org/us-roles/2024" schemaLocation="https://xbrl.fasb.org/us-gaap/2024/elts/us-roles-2024.xsd" />
  <xsd:import namespace="http://fasb.org/us-gaap/2024" schemaLocation="https://xbrl.fasb.org/us-gaap/2024/elts/us-gaap-2024.xsd" />
  <xsd:import namespace="http://fasb.org/srt/2024" schemaLocation="https://xbrl.fasb.org/srt/2024/elts/srt-2024.xsd" />
  <xsd:import namespace="http://xbrl.sec.gov/country/2024" schemaLocation="https://xbrl.sec.gov/country/2024/country-2024.xsd" />
  <xsd:import namespace="http://xbrl.sec.gov/ecd-sub/2024" schemaLocation="https://xbrl.sec.gov/ecd/2024/ecd-sub-2024.xsd" />
  <xsd:element name="AssetsNoncurrentExcludingPropertyAndEquipment" type="xbrli:monetaryItemType" abstract="false" xbrli:periodType="instant" nillable="true" id="hurc_AssetsNoncurrentExcludingPropertyAndEquipment" substitutionGroup="xbrli:item" xbrli:balance="debit" />
  <xsd:element name="OtherIncomeAndExpenseMember" type="dtr-types:domainItemType" abstract="true" xbrli:periodType="duration" nillable="true" id="hurc_OtherIncomeAndExpenseMember" substitutionGroup="xbrli:item" />
  <xsd:element name="IntercompanySalesAndPurchasesMember" type="dtr-types:domainItemType" abstract="true" xbrli:periodType="duration" nillable="true" id="hurc_IntercompanySalesAndPurchasesMember" substitutionGroup="xbrli:item" />
  <xsd:element name="EurosMember" type="dtr-types:domainItemType" abstract="true" xbrli:periodType="duration" nillable="true" id="hurc_EurosMember" substitutionGroup="xbrli:item" />
  <xsd:element name="PoundsSterlingMember" type="dtr-types:domainItemType" abstract="true" xbrli:periodType="duration" nillable="true" id="hurc_PoundsSterlingMember" substitutionGroup="xbrli:item" />
  <xsd:element name="ForwardContractsDenominatedInNewTaiwanDollarsMember" type="dtr-types:domainItemType" abstract="true" xbrli:periodType="duration" nillable="true" id="hurc_ForwardContractsDenominatedInNewTaiwanDollarsMember" substitutionGroup="xbrli:item" />
  <xsd:element id="hurc_ShareBasedCompensationArrangementByShareBasedPaymentAwardEquityInstrumentsOtherThanOptionsWithheldWeightedAverageGrantDateFairValue" name="ShareBasedCompensationArrangementByShareBasedPaymentAwardEquityInstrumentsOtherThanOptionsWithheldWeightedAverageGrantDateFairValue" nillable="true" type="dtr-types:perShareItemType" substitutionGroup="xbrli:item" xbrli:periodType="duration" />
  <xsd:element id="hurc_ShareBasedCompensationArrangementByShareBasedPaymentAwardEquityInstrumentsOtherThanOptionsWithheldInPeriod" name="ShareBasedCompensationArrangementByShareBasedPaymentAwardEquityInstrumentsOtherThanOptionsWithheldInPeriod" nillable="true" type="xbrli:sharesItemType" substitutionGroup="xbrli:item" xbrli:periodType="duration" />
  <xsd:element name="TimeBasedMember" type="dtr-types:domainItemType" abstract="true" xbrli:periodType="duration" nillable="true" id="hurc_TimeBasedMember" substitutionGroup="xbrli:item" />
  <xsd:element name="PerformanceBasedMember" type="dtr-types:domainItemType" abstract="true" xbrli:periodType="duration" nillable="true" id="hurc_PerformanceBasedMember" substitutionGroup="xbrli:item" />
  <xsd:element name="PsuTsrMember" type="dtr-types:domainItemType" abstract="true" xbrli:periodType="duration" nillable="true" id="hurc_PsuTsrMember" substitutionGroup="xbrli:item" />
  <xsd:element name="PsuRoicMember" type="dtr-types:domainItemType" abstract="true" xbrli:periodType="duration" nillable="true" id="hurc_PsuRoicMember" substitutionGroup="xbrli:item" />
  <xsd:element name="NonexecutiveEmployeesMember" type="dtr-types:domainItemType" abstract="true" xbrli:periodType="duration" nillable="true" id="hurc_NonexecutiveEmployeesMember" substitutionGroup="xbrli:item" />
  <xsd:element name="TwoThousandSixteenEquityIncentivePlanMember" type="dtr-types:domainItemType" abstract="true" xbrli:periodType="duration" nillable="true" id="hurc_TwoThousandSixteenEquityIncentivePlanMember" substitutionGroup="xbrli:item" />
  <xsd:element name="TwoThousandAndEightMember" type="dtr-types:domainItemType" abstract="true" xbrli:periodType="duration" nillable="true" id="hurc_TwoThousandAndEightMember" substitutionGroup="xbrli:item" />
  <xsd:element name="ShareBasedCompensationArrangementByShareBasedPaymentAwardPercentageOfOverallIncentiveCompensationArrangement" type="dtr-types:percentItemType" abstract="false" xbrli:periodType="instant" nillable="true" id="hurc_ShareBasedCompensationArrangementByShareBasedPaymentAwardPercentageOfOverallIncentiveCompensationArrangement" substitutionGroup="xbrli:item" />
  <xsd:element name="ShareBasedCompensationArrangementByShareBasedPaymentAwardPercentageOfTargetNumberOfSharesToBeEarned" type="dtr-types:percentItemType" abstract="false" xbrli:periodType="instant" nillable="true" id="hurc_ShareBasedCompensationArrangementByShareBasedPaymentAwardPercentageOfTargetNumberOfSharesToBeEarned" substitutionGroup="xbrli:item" />
  <xsd:element name="TermOfProductWarranty" type="xbrli:durationItemType" abstract="false" xbrli:periodType="duration" nillable="true" id="hurc_TermOfProductWarranty" substitutionGroup="xbrli:item" />
  <xsd:element name="TaiwanCreditFacilityMember" type="dtr-types:domainItemType" abstract="true" xbrli:periodType="duration" nillable="true" id="hurc_TaiwanCreditFacilityMember" substitutionGroup="xbrli:item" />
  <xsd:element name="ChinaCreditFacilityMember" type="dtr-types:domainItemType" abstract="true" xbrli:periodType="duration" nillable="true" id="hurc_ChinaCreditFacilityMember" substitutionGroup="xbrli:item" />
  <xsd:element name="LineOfCreditFacilityCovenantAmountMinimumWorkingCapital" type="xbrli:monetaryItemType" abstract="false" xbrli:periodType="instant" nillable="true" id="hurc_LineOfCreditFacilityCovenantAmountMinimumWorkingCapital" substitutionGroup="xbrli:item" xbrli:balance="debit" />
  <xsd:element name="LineOfCreditFacilityCovenantAmountMinimumTangibleNetWorth" type="xbrli:monetaryItemType" abstract="false" xbrli:periodType="instant" nillable="true" id="hurc_LineOfCreditFacilityCovenantAmountMinimumTangibleNetWorth" substitutionGroup="xbrli:item" xbrli:balance="debit" />
  <xsd:element name="LineOfCreditFacilityCovenantAmountOfAllowableInvestment" type="xbrli:monetaryItemType" abstract="false" xbrli:periodType="duration" nillable="true" id="hurc_LineOfCreditFacilityCovenantAmountOfAllowableInvestment" substitutionGroup="xbrli:item" xbrli:balance="debit" />
  <xsd:element id="hurc_HurcoBVMember" name="HurcoBVMember" nillable="true" type="dtr-types:domainItemType" substitutionGroup="xbrli:item" abstract="true" xbrli:periodType="duration" />
  <xsd:element id="hurc_LineOfCreditAgreementAxis" name="LineOfCreditAgreementAxis" nillable="true" type="xbrli:stringItemType" substitutionGroup="xbrldt:dimensionItem" abstract="true" xbrli:periodType="duration" />
  <xsd:element id="hurc_LineOfCreditAgreementDomain" name="LineOfCreditAgreementDomain" nillable="true" type="dtr-types:domainItemType" substitutionGroup="xbrli:item" abstract="true" xbrli:periodType="duration" />
  <xsd:element name="LineOfCreditAgreement2018Member" type="dtr-types:domainItemType" abstract="true" xbrli:periodType="duration" nillable="true" id="hurc_LineOfCreditAgreement2018Member" substitutionGroup="xbrli:item" />
  <xsd:element name="DeferredCompensationPlanLiabilitiesFairValueDisclosure" type="xbrli:monetaryItemType" abstract="false" xbrli:periodType="instant" nillable="true" id="hurc_DeferredCompensationPlanLiabilitiesFairValueDisclosure" substitutionGroup="xbrli:item" xbrli:balance="credit" />
  <xsd:element id="hurc_DerivativeMaturityDate" name="DerivativeMaturityDate" nillable="true" type="xbrli:stringItemType" substitutionGroup="xbrli:item" xbrli:periodType="duration" />
  <xsd:element id="hurc_ComputerizedMachineToolsMember" name="ComputerizedMachineToolsMember" nillable="true" type="dtr-types:domainItemType" substitutionGroup="xbrli:item" abstract="true" xbrli:periodType="duration" />
  <xsd:element id="hurc_ComputerControlSystemsAndSoftwareMember" name="ComputerControlSystemsAndSoftwareMember" nillable="true" type="dtr-types:domainItemType" substitutionGroup="xbrli:item" abstract="true" xbrli:periodType="duration" />
  <xsd:element id="hurc_ServicePartsMember" name="ServicePartsMember" nillable="true" type="dtr-types:domainItemType" substitutionGroup="xbrli:item" abstract="true" xbrli:periodType="duration" />
  <xsd:element id="hurc_ServiceFeesMember" name="ServiceFeesMember" nillable="true" type="dtr-types:domainItemType" substitutionGroup="xbrli:item" abstract="true" xbrli:periodType="duration" />
  <xsd:element id="hurc_OperatingLossCarryforwardsAxis" name="OperatingLossCarryforwardsAxis" nillable="true" type="xbrli:stringItemType" substitutionGroup="xbrldt:dimensionItem" abstract="true" xbrli:periodType="duration" />
  <xsd:element id="hurc_OperatingLossCarryforwardsDomain" name="OperatingLossCarryforwardsDomain" nillable="true" type="dtr-types:domainItemType" substitutionGroup="xbrli:item" abstract="true" xbrli:periodType="duration" />
  <xsd:element id="hurc_IncreaseDecreaseInAccruedTaxLiability" name="IncreaseDecreaseInAccruedTaxLiability" nillable="true" type="xbrli:monetaryItemType" substitutionGroup="xbrli:item" xbrli:periodType="duration" xbrli:balance="debit" />
  <xsd:element id="hurc_IncreaseDecreaseInIncomeTaxesPayable" name="IncreaseDecreaseInIncomeTaxesPayable" nillable="true" type="xbrli:monetaryItemType" substitutionGroup="xbrli:item" xbrli:periodType="duration" xbrli:balance="debit" />
  <xsd:element id="hurc_ForwardContractsDenominatedInEurosPoundsSterlingAndNewTaiwanMember" name="ForwardContractsDenominatedInEurosPoundsSterlingAndNewTaiwanMember" nillable="true" type="dtr-types:domainItemType" substitutionGroup="xbrli:item" abstract="true" xbrli:periodType="duration" />
  <xsd:element id="hurc_LesseeOperatingLeaseLiabilityPaymentsFiveAndDueAfterYearFive" name="LesseeOperatingLeaseLiabilityPaymentsFiveAndDueAfterYearFive" nillable="true" type="xbrli:monetaryItemType" substitutionGroup="xbrli:item" xbrli:periodType="instant" xbrli:balance="credit" />
  <xsd:element id="hurc_WeightedAverageNumberOfDilutedSharesOutstandingBeforeDilutiveEffect" name="WeightedAverageNumberOfDilutedSharesOutstandingBeforeDilutiveEffect" nillable="true" type="xbrli:sharesItemType" substitutionGroup="xbrli:item" xbrli:periodType="duration" />
  <xsd:element id="hurc_LineOfCreditMaximumBorrowingCapacityInAlternativeCurrencies" name="LineOfCreditMaximumBorrowingCapacityInAlternativeCurrencies" nillable="true" type="xbrli:monetaryItemType" substitutionGroup="xbrli:item" xbrli:periodType="instant" xbrli:balance="credit" />
  <xsd:element id="hurc_LineOfCreditCovenantMinimumCashOnHandBeforeDividendsArePaid" name="LineOfCreditCovenantMinimumCashOnHandBeforeDividendsArePaid" nillable="true" type="xbrli:monetaryItemType" substitutionGroup="xbrli:item" xbrli:periodType="duration" xbrli:balance="debit" />
  <xsd:element id="hurc_LineOfCreditCovenantMaximumAnnualShareRepurchase" name="LineOfCreditCovenantMaximumAnnualShareRepurchase" nillable="true" type="xbrli:monetaryItemType" substitutionGroup="xbrli:item" xbrli:periodType="duration" xbrli:balance="debit" />
  <xsd:element name="DeferredIncomeTaxValuationAllowance" id="hurc_DeferredIncomeTaxValuationAllowance" type="xbrli:monetaryItemType" substitutionGroup="xbrli:item" nillable="true" xbrli:periodType="duration" abstract="false" xbrli:balance="debit" />
  <xsd:element name="IncomeTaxExpenseIncreaseDecreaseOtherItemsAmount" id="hurc_IncomeTaxExpenseIncreaseDecreaseOtherItemsAmount" type="xbrli:monetaryItemType" substitutionGroup="xbrli:item" nillable="true" xbrli:periodType="duration" abstract="false" xbrli:balance="debit" />
  <xsd:element name="IncomeTaxBenefitNotRecognized" id="hurc_IncomeTaxBenefitNotRecognized" type="xbrli:monetaryItemType" substitutionGroup="xbrli:item" nillable="true" xbrli:periodType="duration" abstract="false" xbrli:balance="credit" />
</xsd:schema>
